c
c=======================================================================
c  Include file "vertical.h"
c=======================================================================
#ifndef rmdocinc
c
c  DZT   Thicknesses of the tracer vertical boxes.           (real; cm)
c  DZV   Thicknesses of the velocity vertical boxes.         (real; cm)
c  HTZ   Depth at the bottom of the velocity vertical boxes. (real; cm)
c  HVZ   Depth at the bottom of the tracer vertical boxes.   (real; cm)
# if defined surfpress & defined freesurf 
c  ETAT    Surface elevation at t-points                       (real; cm)
c  ETAV    Surface elevation at v-points                       (real; cm)
c  FRACT   Depth expansion coefficient at tracer points.       (real; ND)
c  FRACTB  Depth expansion, tracer points, previous time.      (real; ND)
c  FRACV   Depth expansion coefficient at veloctiy points.     (real; ND)
c  FRACVB  Depth expansion, veloctiy points, previous time.    (real; ND)
c  DETAT   Free surface local time derivative.(tracer pnts.)   (real: cm/s)
c  DETAV   Free surface local time derivative.(tracer pnts.)   (real: cm/s)
# endif
c
c=======================================================================
#endif
c
      FLOAT 
     *      dzt(imt,jmt,km),dzv(imt,jmt,km),htz(imt,km,jmt),
     *      hvz(imt,km,jmt)
#if defined surfpress & defined freesurf 
     *      ,detat(imt,jmt),detav(imt,jmt),etat(imt,jmt),etav(imt,jmt),
     *     fract(imt,jmt),fractb(imt,jmt),fracv(imt,jmt),fracvb(imt,jmt)
     *      ,etatb(imt,jmt),etavb(imt,jmt)
#endif
      common /vertical/ dzt,dzv,htz,hvz
#if defined surfpress & defined freesurf 
     *                  ,detat,detav,etat,etav,fract,fractb,fracv,fracvb
     *      ,etatb,etavb
#endif
