c
c=======================================================================
c  Include file "workspr.h"
c=======================================================================
c
#ifndef rmdocinc
c  BCON   slab incidental data on N+1 slab.
c  FKMT   number of vertical levels of ocean at tracer points, row J.
c  FKMTM  number of vertical levels of ocean at tracer points, row J-1.
c  FKMTP  number of vertical levels of ocean at tracer points, row J+1.
c  FKMU   number of vertical levels of ocean at velocity points, row J.
c  FKMUM  number of vertical levels of ocean at velocity points, row J-1.
c  FKMUP  number of vertical levels of ocean at velocity points, row J+1.
c  FM     masking array for tracer points, row J.
c  FMM    masking array for tracer points, row J-1.
c  FMP    masking array for tracer points, row J+1.
c  T      tracer type variables, row J, present timestep.
c  TA     tracer type variables, row J, next timestep.
c  TB     tracer type variables, row J, previous timestep.
c  TBM    tracer type variables, row J-1, previous timestep.
c  TBP    tracer type variables, row J+1, previous timestep.
c  TM     tracer type variables, row J-1, present timestep.
c  TP     tracer type variables, row J+1, present timestep.
c  U      zonal component of velocity, row J, present timestep.
c  UA     zonal component of velocity, row J, next timestep.
c  UB     zonal component of velocity, row J, previous timestep.
c  UBM    zonal component of velocity, row J-1, previous timestep.
c  UBP    zonal component of velocity, row J+1, previous timestep.
c  V      meridional component of velocity, row J, present timestep.
c  VA     meridional component of velocity, row J, next timestep.
c  VB     meridional component of velocity, row J, previous timestep.
c  VBM    meridional component of velocity, row J-1, previous timestep.
c  VBP    meridional component of velocity, row J+1, previous timestep.
c
c=======================================================================
c
#endif
      common /workspr/ ata,aua,ava,abcon,atbp,aubp,avbp,afkmup,awsyp,
     *       atp,aup,avp,afkmtp,awsxp,atb,aub,avb,afkmu,awsy,
     *       at,au,av,afkmt,awsx,atbm,aubm,avbm,afkmum,awsym,atm,
     *       aum,avm,afkmtm,awsxm
      FLOAT 
     *ata (imt,km,nt),aua (imt,km),ava (imt,km),abcon(imt,lbc),
     *atbp(imt,km,nt),aubp(imt,km),avbp(imt,km),afkmup(imt),awsyp(imt),
     *atp (imt,km,nt),aup (imt,km),avp (imt,km),afkmtp(imt),awsxp(imt),
     *atb (imt,km,nt),aub (imt,km),avb (imt,km),afkmu (imt),awsy (imt),
     *at  (imt,km,nt),au  (imt,km),av  (imt,km),afkmt (imt),awsx (imt),
     *atbm(imt,km,nt),aubm(imt,km),avbm(imt,km),afkmum(imt),awsym(imt),
     *atm (imt,km,nt),aum (imt,km),avm (imt,km),afkmtm(imt),awsxm(imt)

c










